From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sys-cluster/placement/
Date: Fri, 25 Mar 2022 11:24:08 +0000 (UTC) [thread overview]
Message-ID: <1647794700.2fc90e1348454a1254a336d05a278711e83a0e3a.tastytea@gentoo> (raw)
commit: 2fc90e1348454a1254a336d05a278711e83a0e3a
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Mar 20 16:45:00 2022 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Sun Mar 20 16:45:00 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2fc90e13
sys-cluster/placement: new version
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-cluster/placement/Manifest | 4 +-
sys-cluster/placement/placement-4.0.0.ebuild | 77 ------------------
sys-cluster/placement/placement-7.0.0.0_rc1.ebuild | 92 ++++++++++++++++++++++
3 files changed, 94 insertions(+), 79 deletions(-)
diff --git a/sys-cluster/placement/Manifest b/sys-cluster/placement/Manifest
index c51097b86..6b3b5a6dd 100644
--- a/sys-cluster/placement/Manifest
+++ b/sys-cluster/placement/Manifest
@@ -1,2 +1,2 @@
-DIST openstack-placement-4.0.0.tar.gz 502434 BLAKE2B 9c769d2ef78bad37ef6ac823c9b0fa29128bfea94626f6a4e9cd1ffa6e1e4d441e4b20353e97282823bc1638ee25499fa840b9d34600b1928271627d412c93cc SHA512 32ff30f7216ea56b073582c2e1c4b501229d941f3c6fc501245ab92544234774df63a9b9674ba5f1225d462ab205b2512185907e309e4135e01e1776d554b293
-DIST placement.conf.sample-4.0.0 26306 BLAKE2B 037ce73d52066fc2f2fe0542c10e3879c513ca23f127a03cd575cca0d21f7b2f4f36491c238897cacd962072797d9d2fd50be054c3ae09f95f5417ab9758b289 SHA512 640329729d0964b67a25837692f0db0f5e9682aff6bd1f3e124657c4bc0de7f6a9f65a5c17889cd6c0a0584d471c880865a59b939262ed8beac2ae452d0ea02a
+DIST openstack-placement-7.0.0.0rc1.tar.gz 559927 BLAKE2B 32efcd63c5e6c98050ab1e8df82c51c3b0f4bc87404470ece58bd53e1396b5399f56cc2a03effbe315704becba6899df308bc9f7750a8c62fb0117bd358bdb60 SHA512 3888fdd36cec4e9a8b73f6e1d8bb75fa3afa20302d06f982d6d9c748b797011961707a3955c03003c7c94351f90d00038cd32817232f78cc514c0b46de6f0a0a
+DIST placement.conf.sample-7.0.0.0_rc1 26306 BLAKE2B 037ce73d52066fc2f2fe0542c10e3879c513ca23f127a03cd575cca0d21f7b2f4f36491c238897cacd962072797d9d2fd50be054c3ae09f95f5417ab9758b289 SHA512 640329729d0964b67a25837692f0db0f5e9682aff6bd1f3e124657c4bc0de7f6a9f65a5c17889cd6c0a0584d471c880865a59b939262ed8beac2ae452d0ea02a
diff --git a/sys-cluster/placement/placement-4.0.0.ebuild b/sys-cluster/placement/placement-4.0.0.ebuild
deleted file mode 100644
index 539a5b269..000000000
--- a/sys-cluster/placement/placement-4.0.0.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 2019-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_8 )
-
-inherit distutils-r1
-
-DESCRIPTION="A HTTP service for managing, selecting, and claiming cloud resources."
-HOMEPAGE="https://github.com/openstack/placement"
-if [[ ${PV} == *9999 ]];then
- inherit git-r3
- SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/placement/victoria/placement.conf.sample -> placement.conf.sample-${PV}"
- EGIT_REPO_URI="https://github.com/openstack/placement.git"
- EGIT_BRANCH="stable/victoria"
-else
- SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/placement/victoria/placement.conf.sample -> placement.conf.sample-${PV}
- https://tarballs.openstack.org/${PN}/openstack-${P}.tar.gz"
- KEYWORDS="~amd64"
- S="${WORKDIR}/openstack-${P}"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="mysql postgres sqlite"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-DEPEND=">=dev-python/pbr-5.0.0[${PYTHON_USEDEP}]"
-RDEPEND="
- >=dev-python/pbr-5.0.0[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
- )
- mysql? (
- >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
- !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
- )
- postgres? (
- >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
- )
- >=dev-python/keystonemiddleware-4.18.0[${PYTHON_USEDEP}]
- >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
- >=dev-python/webob-1.8.2[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-6.7.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-2.19.2[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-3.37.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-4.40.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-1.35.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-upgradecheck-0.2.0[${PYTHON_USEDEP}]
- >=dev-python/os-resource-classes-0.5.0[${PYTHON_USEDEP}]
- >=dev-python/os-traits-2.4.0[${PYTHON_USEDEP}]
- >=dev-python/microversion-parse-0.2.1[${PYTHON_USEDEP}]
- acct-user/placement
- acct-group/placement"
-BDEPEND=""
-
-python_install_all() {
- distutils-r1_python_install_all
-
- diropts -m 0750 -o placement -g placement
- insinto /etc/placement
- insopts -m 0640 -o placement -g placement
- newins "${DISTDIR}/placement.conf.sample-${PV}" placement.conf.sample
-
- dobin tools/mysql-migrate-db.sh
- dobin tools/postgresql-migrate-db.sh
-}
diff --git a/sys-cluster/placement/placement-7.0.0.0_rc1.ebuild b/sys-cluster/placement/placement-7.0.0.0_rc1.ebuild
new file mode 100644
index 000000000..3192119db
--- /dev/null
+++ b/sys-cluster/placement/placement-7.0.0.0_rc1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MYP="${P//_/}"
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A HTTP service for managing, selecting, and claiming cloud resources"
+HOMEPAGE="
+ https://github.com/openstack/placement
+ https://opendev.org/openstack/placement
+"
+SRC_URI="
+ https://dev.gentoo.org/~prometheanfire/dist/openstack/placement/victoria/placement.conf.sample -> placement.conf.sample-${PV}
+ https://tarballs.openstack.org/${PN}/openstack-${MYP}.tar.gz
+"
+KEYWORDS="~amd64"
+S="${WORKDIR}/openstack-${MYP}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="mysql postgres +sqlite"
+
+RDEPEND="
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.8.2[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.25.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.22.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-4.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-2.25.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-4.40.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-policy-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-upgradecheck-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/os-resource-classes-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/os-traits-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/microversion-parse-0.2.1[${PYTHON_USEDEP}]
+
+ acct-user/placement
+ acct-group/placement
+
+ sqlite? (
+ >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
+ )
+ mysql? (
+ >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.2.19[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/gabbi-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/wsgi_intercept-1.7.0[${PYTHON_USEDEP}]
+ )
+"
+
+REQUIRED_USE="
+ || ( mysql postgres sqlite )
+ test? ( mysql postgres )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ diropts -m 0750 -o placement -g placement
+ insinto /etc/placement
+ insopts -m 0640 -o placement -g placement
+ newins "${DISTDIR}/placement.conf.sample-${PV}" placement.conf.sample
+
+ dobin tools/mysql-migrate-db.sh
+ dobin tools/postgresql-migrate-db.sh
+}
next reply other threads:[~2022-03-25 11:24 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-25 11:24 Ronny Gutbrod [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-04-23 17:49 [gentoo-commits] repo/proj/guru:master commit in: sys-cluster/placement/ Haelwenn Monnier
2022-05-30 6:39 Florian Schmaus
2022-05-30 6:39 Florian Schmaus
2022-05-30 11:58 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1647794700.2fc90e1348454a1254a336d05a278711e83a0e3a.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox